Money Class Reference

amount of cash More...

`#include <ql/money.hpp>`

## Public Member Functions

Constructors
| Money ()
| Money (const Currency &currency, Decimal value)
| Money (Decimal value, const Currency &currency)
Inspectors
const Currency & | currency () const
Decimal | value () const
Money | rounded () const
Money arithmetics
See below for non-member functions and for settings which determine the behavior of the operators.
Money | operator+ () const
Money | operator- () const
Money & | operator+= (const Money &)
Money & | operator-= (const Money &)
Money & | operator*= (Decimal)
Money & | operator/= (Decimal)

## Related Functions

(Note that these are not member functions.)
Money | operator+ (const Money &, const Money &)
Money | operator- (const Money &, const Money &)
Money | operator* (const Money &, Decimal)
Money | operator* (Decimal, const Money &)
Money | operator/ (const Money &, Decimal)
Decimal | operator/ (const Money &, const Money &)
bool | operator== (const Money &, const Money &)
bool | operator!= (const Money &, const Money &)
bool | operator< (const Money &, const Money &)
bool | operator<= (const Money &, const Money &)
bool | operator> (const Money &, const Money &)
bool | operator>= (const Money &, const Money &)
bool | close (const Money &, const Money &, Size n=42)
bool | close_enough (const Money &, const Money &, Size n=42)
Money | operator* (Decimal, const Currency &)
Money | operator* (const Currency &, Decimal)
std::ostream & | operator<< (std::ostream &, const Money &)

## Conversion settings

These parameters are used for combining money amounts in different currencies
enum | ConversionType { NoConversion, BaseCurrencyConversion, AutomatedConversion }
static ConversionType | conversionType
static Currency | baseCurrency

## Detailed Description

amount of cash

Tests:
  money arithmetic is tested with and without currency conversions.

## Member Enumeration Documentation

## ConversionType

enum ConversionType

Enumerator
NoConversion | do not perform conversions
BaseCurrencyConversion | convert both operands to the base currency before converting
AutomatedConversion | return the result in the currency of the first operand